SqlException when upgrading to EPiServer.Commerce 14.3.1

Found in

EPiServer.Commerce 14.3.1

Fixed in

EPiServer.Commerce 14.6.0

Created

Jun 01, 2022

Updated

Oct 05, 2022

State

Closed, Fixed and tested


Description

Fixed an issue where there was an SqlException when upgrading to Commerce 14.3.1+ by modifying the upgrade script with validation to check that the index dbo.SerializableCart.IDX_SerializableCart_Indexed_Modified exists before dropping it.